
var solution = {
    vzorec1: "Na2O",
    vzorec4: "SiO2",
    vzorec6: "SO3",
    
    nazev2: "oxid vápenatý",
    nazev3: "oxid hlinitý",
    nazev5: "oxid fosforečný",
    nazev7: "oxid chloristý"
}

function checkAnswers(node) {
    //najdeme formular s otazkou
    var form = node.parentNode;
    
    //najdeme textova policka
    var inputs = form.querySelectorAll("input[type=text]");
    
    for (var i = 0; i < inputs.length; i++) {
        var input = inputs[i];
        
        //nacteni hodnoty textoveho pole
        var val = input.value;
        
        //orezani mezer ze zacatku a konce
        val = val.replace(/^\s+/, "");
        val = val.replace(/\s+$/, "");
        
        //nahrazeni vicenasobnych mezer mezi slovy
        val = val.replace(/\s+/g, " ");
        
        //mala/velka pismena
        if (input.id.indexOf("nazev") > -1) {
            val = val.toLowerCase();
        }
        
        //prazdna odpoved
        if (val == "") {
            input.className = "";
            continue; //preruseni vyhodnoceni, dalsi obratka cyklu
        }
        
        //kontrola spravnosti
        if (val == solution[input.id]) {
            input.className = "correct";
        }
        else { 
            input.className = "wrong";
        }
        
    }
}
            
function resetField(field) {
    field.className = "";
}            


//inicializace text. policek
window.onload = function () {
    
    //vyhledame text. policka
    var inputs = document.querySelectorAll(".question input[type=text]");
    
    for (var i = 0; i < inputs.length; i++) {
        inputs[i].onfocus = function () { resetField(this)}
    }
    
}













            
            